> ## Documentation Index
> Fetch the complete documentation index at: https://developer.willro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Business Posts



## OpenAPI

````yaml GET /integration/business-api/posts
openapi: 3.0.3
info:
  title: Willro API
  version: 1.0.0
  description: API documentation for Willro sandbox integration endpoints.
servers:
  - url: https://prod.willro.com/api/v1
security:
  - ApiKeyAuth: []
paths:
  /integration/business-api/posts:
    get:
      summary: Get Business Posts
      parameters:
        - name: limit
          in: query
          schema:
            type: integer
            default: 10
          description: Number of posts per page.
        - name: page
          in: query
          schema:
            type: integer
            default: 1
          description: Page number.
      responses:
        '200':
          description: Posts retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostsResponse'
        '401':
          description: Unauthorized. Missing or invalid API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PostsResponse:
      type: object
      properties:
        links:
          type: object
          properties:
            self:
              type: string
              example: /api/v1/integration/business-api/posts
        pagination:
          type: object
          properties:
            page:
              type: integer
              example: 1
            limit:
              type: integer
              example: 10
            totalItems:
              type: integer
              example: 8
            totalPages:
              type: integer
              example: 1
        data:
          type: array
          items:
            type: object
            properties:
              author:
                type: object
                properties:
                  name:
                    type: string
                    example: Willro update
                  picture:
                    type: string
                    format: uri
                    example: https://ik.imagekit.io/willro/author.png
                  username:
                    type: string
                    example: willro.com
              content:
                type: string
                example: This is a sample feed post with images and location!
              views:
                type: integer
                example: 0
              layout:
                type: string
                example: CLASSIC
              createdAt:
                type: string
                format: date-time
                example: '2025-07-10T22:18:55.547Z'
              reactions:
                type: integer
                example: 0
              topReactions:
                type: array
                items:
                  type: string
                example:
                  - Love
              comments:
                type: integer
                example: 0
              shares:
                type: integer
                example: 0
              location:
                type: string
                example: London, Uk
              medias:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      example: 68703c4f8eb295fad8dc0292
                    url:
                      type: string
                      format: uri
                      example: https://example.com/image1.jpg
                    thumbnailUrl:
                      type: string
                      format: uri
                      example: https://example.com/thumb1.jpg
                    type:
                      type: string
                      example: IMAGE
                    fileName:
                      type: string
                      example: image1.jpg
          example:
            - author:
                name: Willro update
                picture: https://ik.imagekit.io/willro/author.png
                username: willro.com
              content: This is a sample feed post with images and location!
              views: 0
              layout: CLASSIC
              createdAt: '2025-07-10T22:18:55.547Z'
              reactions: 0
              topReactions:
                - LOVE
              comments: 0
              shares: 0
              location: London, Uk
              medias:
                - id: 68703c4f8eb295fad8dc0292
                  url: https://example.com/image1.jpg
                  thumbnailUrl: https://example.com/thumb1.jpg
                  type: IMAGE
                  fileName: image1.jpg
    AuthError:
      type: object
      properties:
        code:
          type: integer
          example: 401
        message:
          type: string
          example: API key is required
        timestamp:
          type: string
          format: date-time
          example: '2025-07-09T08:33:54.383Z'
        path:
          type: string
          example: /api/integration/business-api/reviews?page=1&limit=10
        error:
          type: string
          example: Unauthorized
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Use this API Key:
        willro_live_sk_95ad4a1e-48ac-4872-ae02-0d40072b60bf_6b7ec4b3af7911a65ee1c3a5ce3fe84b8c2e34136ca71030

````